petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetField

Return the discretization object for a given DM field

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetField(DM dm, PetscInt f, PetscObject *field)

Not collective Many br

### Input Parameters

| dm | - The DM Many br
| f | - The field number Many br

### Output Parameter

field -The discretization object Many br

Many br

### See Also

DMSetField()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html